OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class TypedLinkedList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.AbstractSequentialList
                  java.util.LinkedList
                      org.opennms.netmgt.filter.node.TypedLinkedList

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.io.Serializable

public class TypedLinkedList
extends java.util.LinkedList

See Also:
  Serialized Form

Nested Class Summary
`private class` `TypedLinkedList.TypedLinkedListIterator`

Nested classes inherited from class java.util.LinkedList
``

Nested classes inherited from class java.util.AbstractList
``

Field Summary
`(package private) Cast` `cast`

Fields inherited from class java.util.LinkedList
``

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`TypedLinkedList()`
`TypedLinkedList(Cast cast)`
`TypedLinkedList(java.util.Collection c)`
`TypedLinkedList(java.util.Collection c, Cast cast)`

Method Summary
`void` `add(int index, java.lang.Object element)`
`boolean` `add(java.lang.Object o)`
`boolean` `addAll(java.util.Collection c)`
`boolean` `addAll(int index, java.util.Collection c)`
`void` `addFirst(java.lang.Object o)`
`void` `addLast(java.lang.Object o)`
`Cast` `getCast()`
`java.util.ListIterator` `listIterator(int index)`

Methods inherited from class java.util.LinkedList
`clear, clone, contains, get, getFirst, getLast, indexOf, lastIndexOf, remove, remove, removeFirst, removeLast, set, size, toArray, toArray`

Methods inherited from class java.util.AbstractSequentialList
`iterator`

Methods inherited from class java.util.AbstractList
`equals, hashCode, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, retainAll, subList`

Field Detail

### cast

    Cast cast

Constructor Detail

### TypedLinkedList

    public TypedLinkedList()

### TypedLinkedList

    public TypedLinkedList(java.util.Collection c)

### TypedLinkedList

    public TypedLinkedList(Cast cast)

### TypedLinkedList

    public TypedLinkedList(java.util.Collection c,
                           Cast cast)

Method Detail

### getCast

    public Cast getCast()

### add

    public void add(int index,
                    java.lang.Object element)

### add

    public boolean add(java.lang.Object o)

### addAll

    public boolean addAll(java.util.Collection c)

### addAll

    public boolean addAll(int index,
                          java.util.Collection c)

### addFirst

    public void addFirst(java.lang.Object o)

### addLast

    public void addLast(java.lang.Object o)

### listIterator

    public java.util.ListIterator listIterator(int index)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.